### Function

# Gimp Metadata load_from_file

since: 2.10

#### Declaration [src]

    GimpMetadata*
    gimp_metadata_load_from_file (
      GFile* file,
      GError** error
    )

#### Description [src]

Loads `GimpMetadata` from `file`.

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  The `GFile` to load the metadata from.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GimpMetadata`

The loaded `GimpMetadata`.

The caller of the function takes ownership of the data, and is responsible for freeing it.